---
title: "BS1 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/BS1"
canonical_url: "https://regulex.uk/directory/postcode/BS1"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area BS1. Monitoring 158 accountancy practices and 16,590 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/BS1](https://regulex.uk/directory/postcode/BS1)
>
> *Statutory compliance registry for postal area BS1. Monitoring 158 accountancy practices and 16,590 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in BS1

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [AVALON ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=16464566) CRN: 16464566 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16464566) |
| 2 | [CONSCIOUS CONNECTIVE LTD](https://regulex.uk/practice/dashboard?crn=12295589) CRN: 12295589 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12295589) |
| 3 | [DAYBOOKS LIMITED](https://regulex.uk/practice/dashboard?crn=09549214) CRN: 09549214 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09549214) |
| 4 | [DOROTA HADEN LTD](https://regulex.uk/practice/dashboard?crn=08681962) CRN: 08681962 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08681962) |
| 5 | [MAC ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=12558328) CRN: 12558328 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12558328) |
| 6 | [MANNAMEAD BUSINESS SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=04833367) CRN: 04833367 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04833367) |
| 7 | [MONEYPAD LIMITED](https://regulex.uk/practice/dashboard?crn=08896754) CRN: 08896754 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08896754) |
| 8 | [OAK LEGACY SOUTH WEST LIMITED](https://regulex.uk/practice/dashboard?crn=14866250) CRN: 14866250 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14866250) |
| 9 | [PAYLINE UK TECH SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=16489716) CRN: 16489716 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16489716) |
| 10 | [RED BOOK ASSOCIATES LIMITED](https://regulex.uk/practice/dashboard?crn=13595045) CRN: 13595045 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13595045) |
| 11 | [SKYNET ACCOUNTANCY AND BOOKKEEPING LTD](https://regulex.uk/practice/dashboard?crn=15067641) CRN: 15067641 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15067641) |
| 12 | [SMH CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=11475258) CRN: 11475258 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11475258) |
| 13 | [THE FINANCE FUNCTION LIMITED](https://regulex.uk/practice/dashboard?crn=04280880) CRN: 04280880 • BS16 1GW | 654 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04280880) |
| 14 | [TC ACCOUNTANTS 018 LIMITED](https://regulex.uk/practice/dashboard?crn=05375310) CRN: 05375310 • BS16 9JB | 396 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05375310) |
| 15 | [ALPHA (S & P) HOLDINGS LIMITED](https://regulex.uk/practice/dashboard?crn=15535643) CRN: 15535643 • BS1 4PB | 326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15535643) |
| 16 | [CORRIGAN ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=11670978) CRN: 11670978 • BS1 4PB | 326 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11670978) |
| 17 | [CLEEVEWOOD ACCOUNT SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=06772400) CRN: 06772400 • BS16 1EJ | 231 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06772400) |
| 18 | [EASY ACCOUNTS AND TAX (SW) LTD](https://regulex.uk/practice/dashboard?crn=16255396) CRN: 16255396 • BS16 1EJ | 231 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16255396) |
| 19 | [IMAGINE CHANGE CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=15896484) CRN: 15896484 • BS16 1EJ | 231 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15896484) |
| 20 | [IQ PROFESSIONAL SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=14092403) CRN: 14092403 • BS16 1EJ | 231 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14092403) |
| 21 | [PAPERCLOUD LTD](https://regulex.uk/practice/dashboard?crn=11509899) CRN: 11509899 • BS16 1EJ | 231 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11509899) |
| 22 | [WINSTONEGREEN LIMITED](https://regulex.uk/practice/dashboard?crn=08389933) CRN: 08389933 • BS16 1EJ | 231 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08389933) |
| 23 | [K.M.VICKERS & CO LTD.](https://regulex.uk/practice/dashboard?crn=03196621) CRN: 03196621 • BS16 4QG | 169 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03196621) |
| 24 | [NORTON ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=04456945) CRN: 04456945 • BS16 4QG | 169 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04456945) |
| 25 | [NORTON EDDINS LTD](https://regulex.uk/practice/dashboard?crn=09185319) CRN: 09185319 • BS16 4QG | 169 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09185319) |
| 26 | [NORTON VICKERS LTD](https://regulex.uk/practice/dashboard?crn=09939435) CRN: 09939435 • BS16 4QG | 169 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09939435) |
| 27 | [INGLE & COMPANY LIMITED](https://regulex.uk/practice/dashboard?crn=04007437) CRN: 04007437 • BS15 1AN | 164 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04007437) |
| 28 | [CAMHUN ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=10894024) CRN: 10894024 • BS15 3FR | 152 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10894024) |
| 29 | [STEPPING STONES ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=10419936) CRN: 10419936 • BS15 3FR | 152 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10419936) |
| 30 | [ZACE ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=14462428) CRN: 14462428 • BS1 5QT | 151 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14462428) |
| 31 | [CISTAXRETURNS.CO.UK LIMITED](https://regulex.uk/practice/dashboard?crn=06970099) CRN: 06970099 • BS15 3QG | 145 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06970099) |
| 32 | [PBTA HANHAM LIMITED](https://regulex.uk/practice/dashboard?crn=04864710) CRN: 04864710 • BS15 3QG | 145 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04864710) |
| 33 | [PBTA KEYNSHAM LIMITED](https://regulex.uk/practice/dashboard?crn=07573799) CRN: 07573799 • BS15 3QG | 145 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07573799) |
| 34 | [PERPETUAL BUSINESS AND TAX ADVISORS LIMITED](https://regulex.uk/practice/dashboard?crn=06536425) CRN: 06536425 • BS15 3QG | 145 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06536425) |
| 35 | [PETER MOSSMAN CONSULTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=04918202) CRN: 04918202 • BS15 3QG | 145 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04918202) |
| 36 | [HENLEAZE TAX CONSULTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=15131113) CRN: 15131113 • BS1 5HX | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15131113) |
| 37 | [KAIZEN LIMITED](https://regulex.uk/practice/dashboard?crn=12121572) CRN: 12121572 • BS1 5HX | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12121572) |
| 38 | [PARK STREET ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=09574828) CRN: 09574828 • BS1 5HX | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09574828) |
| 39 | [ZEN ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=09017154) CRN: 09017154 • BS1 5HX | 144 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09017154) |
| 40 | [NORTON TAX SHOPS LIMITED](https://regulex.uk/practice/dashboard?crn=03969436) CRN: 03969436 • BS15 8JX | 134 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03969436) |
| 41 | [AEC SERVICES UK LIMITED](https://regulex.uk/practice/dashboard?crn=06173046) CRN: 06173046 • BS1 2NB | 107 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06173046) |
| 42 | [EVERETT KING (INNTOBOOKWORK) LTD](https://regulex.uk/practice/dashboard?crn=02480286) CRN: 02480286 • BS1 4HW | 102 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=02480286) |
| 43 | [BROCKMAN ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=13292386) CRN: 13292386 • BS1 1LT | 99 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13292386) |
| 44 | [CLOUD ACCOUNTS ONLINE LIMITED](https://regulex.uk/practice/dashboard?crn=11703641) CRN: 11703641 • BS16 7FR | 90 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11703641) |
| 45 | [FINANCE SOFTWARE QUEEN LIMITED](https://regulex.uk/practice/dashboard?crn=16232062) CRN: 16232062 • BS16 7FR | 90 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16232062) |
| 46 | [GOVERSETH ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=09504228) CRN: 09504228 • BS16 7FR | 90 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09504228) |
| 47 | [ROSEVALE ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=11703834) CRN: 11703834 • BS16 7FR | 90 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11703834) |
| 48 | [EVANS & PARTNERS LTD.](https://regulex.uk/practice/dashboard?crn=03270474) CRN: 03270474 • BS15 8LS | 87 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03270474) |
| 49 | [EDGE PROFESSIONAL TRUSTEES LIMITED](https://regulex.uk/practice/dashboard?crn=09228399) CRN: 09228399 • BS1 4DJ | 79 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09228399) |
| 50 | [WILD BARKER & CO LTD](https://regulex.uk/practice/dashboard?crn=16698757) CRN: 16698757 • BS1 4DJ | 79 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16698757) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/BS1](https://regulex.uk/directory/postcode/BS1).
